> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Vote on Run Metric

> Submit a thumbs-up or thumbs-down vote on a metric evaluation for a run



## OpenAPI

````yaml post /test_framework/v1/runs/{id}/mark_metric_vote/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v1/runs/{id}/mark_metric_vote/:
    post:
      tags:
        - Runs
      summary: Submit a metric vote for a run
      description: >-
        Record a thumbs-up or thumbs-down vote on a specific metric evaluation
        for this run and optionally provide an expected value and free-text
        feedback. Updates the metric evaluation and marks the run as reviewed.
      operationId: runs-mark-metric-vote-create
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this run.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkMetricVote'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/MarkMetricVote'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/MarkMetricVote'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarkMetricVoteRunResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  field_name:
                    type: array
                    items:
                      type: string
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
          description: ''
      security:
        - api_key: []
components:
  schemas:
    MarkMetricVote:
      type: object
      properties:
        metric_id:
          type: integer
          description: ID of the metric to vote on
        thumbs_up:
          type:
            - boolean
            - 'null'
          description: True for thumbs up, False for thumbs down
        expected_value:
          oneOf:
            - {}
            - type: 'null'
          description: Expected value for the metric
        feedback:
          type:
            - string
            - 'null'
          description: Feedback for the metric review
      required:
        - expected_value
        - metric_id
        - thumbs_up
    MarkMetricVoteRunResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````